function()
    local spells = {"Deceptive Strike", "Very Sinister Strike", "Raven Strike", "Coup de Grace", "Lantern of Darkness", "Power Attack", "Holy Radiance", "Thunderous Bolt"}
    local output = ""
    for i = 1, 40 do
        local name = UnitCastingInfo("nameplate" .. i)
        if name ~= nil then
            for j = 1, table.getn(spells) do
                if name == spells[j] then
                    local _, _, _, _, starTime, endTime = UnitCastingInfo("nameplate" .. i)
                    local castRemaining = endTime / 1000 - GetTime()
                    castRemaining = math.floor(castRemaining * 100) / 100
                    output = output .. name .. " " .. castRemaining .. "\n"
                end
            end
        end
    end
    return output
end
